From 9481ba13dc70acb0b7ab32c0d251ec608532d89b Mon Sep 17 00:00:00 2001
From: Philipp Takacs <philipp@bureaucracy.de>
Date: Mon, 15 Aug 2016 00:11:39 +0200
Subject: [PATCH] fix whatnow2 send

in the last commit whatnow2 send was changed
to keep the metafile. This don't work with the
``exec send''. Now the send() is renamed to
sendfunktion and the ``exec'' is removed.
---
 uip/whatnow2.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/uip/whatnow2.sh b/uip/whatnow2.sh
index 2e3cf125..7ddebeaa 100755
--- a/uip/whatnow2.sh
+++ b/uip/whatnow2.sh
@@ -148,7 +148,7 @@ list()
 	exec $mhshowproc -file $mhdraft
 }
 
-send()
+sendfunktion()
 {
 	export mhaltmsg=`anno -list -component 'mhaltmsg' $mhmetafile`
 	export mhdist=`anno -list -component 'mhdist' $mhmetafile`
@@ -156,7 +156,7 @@ send()
 	export mhfolder=`anno -list -component 'mhfolder' $mhmetafile`
 	export mhmessages=`anno -list -component 'mhmessages' $mhmetafile`
 	export mhannotate=`anno -list -component 'mhannotate' $mhmetafile`
-	exec send "$@" $mhdraft || exit $?
+	send "$@" $mhdraft || exit $?
 	rm -f $mhmetafile
 	exit 0
 }
@@ -262,7 +262,7 @@ l|li|lis|list)
 	list
 	;;
 s|se|sen|send)
-	send "$@"
+	sendfunktion "$@"
 	;;
 del|dele|delet|delete)
 	[ $# -eq 0 ] || usage 1
-- 
2.39.5